Bug 927463 - SELinux is preventing /usr/libexec/gstreamer-1.0/gst-plugin-scanner from 'execute' accesses on the file /home/ankur/ros_catkin_ws/install_isolated/lib/libopencv_calib3d.so.2.4.4.
Summary: SELinux is preventing /usr/libexec/gstreamer-1.0/gst-plugin-scanner from 'exe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:82385a3596b4b4946f550bdddc2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-26 01:36 UTC by Ankur Sinha (FranciscoD)
Modified: 2013-04-18 02:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-18 02:49:56 UTC


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2013-03-26 01:36:52 UTC
Description of problem:
Opened a folder containing videos in nautilus 
SELinux is preventing /usr/libexec/gstreamer-1.0/gst-plugin-scanner from 'execute' accesses on the file /home/ankur/ros_catkin_ws/install_isolated/lib/libopencv_calib3d.so.2.4.4.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that gst-plugin-scanner should be allowed execute access on the libopencv_calib3d.so.2.4.4 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gst-plugin-scan /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/ankur/ros_catkin_ws/install_isolated/lib/lib
                              opencv_calib3d.so.2.4.4 [ file ]
Source                        gst-plugin-scan
Source Path                   /usr/libexec/gstreamer-1.0/gst-plugin-scanner
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gstreamer1-1.0.6-1.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-87.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.4-202.fc18.x86_64 #1 SMP Thu
                              Mar 21 17:02:20 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-03-26 12:35:25 EST
Last Seen                     2013-03-26 12:35:25 EST
Local ID                      fc58de8c-49ae-4f64-8e6d-a52155129f93

Raw Audit Messages
type=AVC msg=audit(1364261725.331:1752): avc:  denied  { execute } for  pid=22071 comm="gst-plugin-scan" path="/home/ankur/ros_catkin_ws/install_isolated/lib/libopencv_calib3d.so.2.4.4" dev="sda5" ino=406592 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1364261725.331:1752): arch=x86_64 syscall=mmap success=no exit=EACCES a0=0 a1=29fe90 a2=5 a3=802 items=0 ppid=22058 pid=22071 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=gst-plugin-scan exe=/usr/libexec/gstreamer-1.0/gst-plugin-scanner subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: gst-plugin-scan,thumb_t,user_home_t,file,execute

audit2allow

#============= thumb_t ==============
allow thumb_t user_home_t:file execute;

audit2allow -R
require {
	type thumb_t;
}

#============= thumb_t ==============
userdom_mmap_user_home_content_files(thumb_t)


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.4-202.fc18.x86_64
type:           libreport

Comment 1 Daniel Walsh 2013-03-26 15:53:34 UTC
70682132cb5cdcf65b9cbe8ffa30f5d5b0866a9c fixes this issue in git.

Comment 2 Miroslav Grepl 2013-03-27 13:28:59 UTC
Fixed in selinux-policy-3.11.1-88.fc18.noarch

Comment 3 Fedora Update System 2013-04-15 11:10:24 UTC
selinux-policy-3.11.1-90.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-90.fc18

Comment 4 Fedora Update System 2013-04-16 00:05:54 UTC
Package selinux-policy-3.11.1-90.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-90.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5742/selinux-policy-3.11.1-90.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-18 02:49:58 UTC
selinux-policy-3.11.1-90.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.